
Synnefo - Bug # 591

Status: Closed Priority: High

Author: Constantinos Venetsanopoulos Category: Cyclades UI

Created: 06/01/2011 Assignee: Mike Muzurakis

Updated: 06/02/2011 Due date:

Subject: Το networks tab δεν κανει σωστό positioning του Internet pane

Description

2 θέματα:

1.Όταν κάνεις refresh στο networks tab (F5) πρέπει να σε ξαναβγάζει στο networks tab και όχι στο machines tab.

2.To pane τοου Internet για κάποιο λόγο το βγάζει στη μέση της οθόνης και μετά το πρώτο update το φέρνει ψηλά στο σωστό του

σημείο

Related issues:

related to Synnefo - Feature # 469: Επέκταση του UI ώστε να κάνει κλήσεις στο... Closed 05/07/2011

History

#1 - 06/01/2011 06:45 pm - Christos Psaltis

Το πρόβλημα στην δεύτερη σημείωση παραπάνω ήταν το error handling των στοιχείων των δικτύων. Μετά το τελευταίο push πρέπει να έχει λυθεί.

#2 - 06/02/2011 10:06 am - Vangelis Koukis

Για το πρώτο, απ'ό,τι καταλαβαίνω, υπάρχει ήδη μηχανισμός που χρησιμοποιείται για να ξέρει αν είναι σε machines-icon ή machines-list view, οπότε

θέλει μικρή επέκταση ώστε να ξέρει αν είναι machines-icon, machines-list, ή networks-icon.

#3 - 06/02/2011 10:55 am - Mike Muzurakis

- Status changed from Assigned to Feedback

- Assignee changed from Christos Psaltis to Mike Muzurakis

Δεν είναι τόσο μικρή η επέκταση που χρειάζεται. Ο μηχανισμός που χρησιμοποιείται για τα machines-views αλλάζει το template εντός του

machine.html. Δεν είναι πολύ δύσκολο να αλλάξει και το αρχικό template, αλλά δεν είναι και trivial. Επειδή όμως οποιοδήποτε bug σε αυτό το κομμάτι

θα έχει μεγάλο impact στο τελικό αποτέλεσμα, κτγμ θα ήταν προτιμότερο να μεταφερθεί και να γίνει στην αρχή του κύκλου του v0.5.

#4 - 06/02/2011 02:47 pm - Constantinos Venetsanopoulos

- Subject changed from Το networks tab δεν κανει σωστό refresh και positioning του Internet to Το networks tab δεν κανει σωστό positioning του 

Internet pane

- Status changed from Feedback to Closed

Κλείνω το ticket και ανοίγω καινούριο για το 1 και το βάζω target version v0.5
